Subject: Re: bug#35389: 27.0.50; [PATCH] Emacs on macOS sets mouse-wheel variables directly

From: Robert Pluim <[email-masked]>
Date: Tue, 23 Apr 2019 13:38:59 +0200

>>>>> On Tue, 23 Apr 2019 07:17:24 -0400, Noam Postavsky <[email-masked]> said:

    Noam> Robert Pluim <[email-masked]> writes:
    >> I use the cus-edit+ package, which prompts you to save unsaved
    >> customizations when you exit emacs. This triggers for me all
    >> the time, because lisp/term/ns-win.el does 'setq' on
    >> mouse-wheel-scroll-amount and mouse-wheel-progressive-speed,
    >> which I think is a no-no. The patch below fixes it for me, but
    >> Iʼm utterly ignorant of customize, so perhaps itʼs not the
    >> correct fix.

    Noam> I think it should work to change customized-value to
    Noam> standard-value.

That works, thanks. Iʼll run with for a while then push to master.

Robert